# Uses of Enum Class
jdk.jshell.SourceCodeAnalysis.Attribute

Packages that use SourceCodeAnalysis.Attribute
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.Attribute in jdk.jshell

Methods in jdk.jshell that return SourceCodeAnalysis.Attribute
Modifier and Type
Method
Description
`static SourceCodeAnalysis.Attribute`
SourceCodeAnalysis.Attribute.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SourceCodeAnalysis.Attribute[]`
SourceCodeAnalysis.Attribute.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jdk.jshell that return types with arguments of type SourceCodeAnalysis.Attribute
Modifier and Type
Method
Description
`Set<SourceCodeAnalysis.Attribute>`
SourceCodeAnalysis.Highlight.`attributes()`
Returns the value of the `attributes` record component.
Constructor parameters in jdk.jshell with type arguments of type SourceCodeAnalysis.Attribute
Modifier
Constructor
Description
``
`Highlight(int start, int end, Set<SourceCodeAnalysis.Attribute> attributes)`
Creates an instance of a `Highlight` record class.